<?php

namespace Drupal\data_export\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Link;
use Drupal\Core\Url;

class ExportController extends ControllerBase
{

    public function viewExportRoutes()
    {
        // Define table rows.
        $rows = [];

        // Add Export Using Table Name route.
        $rows[] = [
            'name' => $this->t('Export Using Table Name'),
            'view' => Link::fromTextAndUrl(
                $this->t('View'),
                Url::fromRoute('export_module.export_table_name'),
            )->toRenderable(),
        ];
        // Attach attributes separately for Export Using Code route.
        $rows[0]['view']['#attributes']['class'][] = 'button';
        // $rows[0]['view']['#attributes']['class'][] = 'btn-primary';
        // Add Export Using Code route.
        $rows[] = [
            'name' => $this->t('Export Using Code'),
            'view' => Link::fromTextAndUrl(
                $this->t('View'),
                Url::fromRoute('export_module.export_using_code')
            )->toRenderable(), // Use toRenderable instead of toString to add attributes.
        ];

        // Attach attributes separately for Export Using Code route.
        $rows[1]['view']['#attributes']['class'][] = 'button';
        // $rows[1]['view']['#attributes']['class'][] = 'btn-primary';

        // Return the data to the Twig template.
        return [
            '#theme' => 'export_options',
            '#rows' => $rows,
            '#attached' => [
                'library' => [
                    'core/drupal.dialog.ajax',
                ],
            ],
        ];
    }
}
